# SocyMusic

## Introduction
SocyMusic was originally a school project on Windows, but then I thought that it could be a nice idea to expand it. The main reason for this is that a lot of android music players nowadays have a lot of ads which I think is frustrating sometimes. After coding for some time, I soon encountered a lot of problems that took me a long time to fix, I just never coded anything for Android before, so it was really difficult at first. Therefore I decided to publish it on Github and hope that someone might want to help, and that's where we are right now. The project is open for everyone, everyone can fork it, add his own stuff or edit it and create a pull request for it. Below are some features that the music player currently has:

## Features
Note that the features listed below might be slightly outdated as I will not be constantly updating them.
- Written completely in Java
- Supports Android 6.0+
- Cool red design with custom icon
- .mp3 and .wav support
- 100% free and without ads
- Music visualizer at the bottom of the player
- Completely open-source, everyone can see everything here on Github

## Screenshots
This is what the music player looks like so far. As you can see the design has been kept very simple and minimalistic.

<img src="https://user-images.githubusercontent.com/50681275/119388676-e6692c00-bcca-11eb-8569-244e41e765d3.jpg" width="150" height="150">  <img src="https://user-images.githubusercontent.com/50681275/119388697-eb2de000-bcca-11eb-97f6-00b4c7d5daf9.jpg" width="150" height="300">  <img src="https://user-images.githubusercontent.com/50681275/119388684-e8cb8600-bcca-11eb-983b-2311b8a9a441.jpg" width="150" height="300">

## Coming soon
Those are the features that will be added in the future, on some there is already being worked on, but others might take a while to get added. If you think you can do any of these or you have a feature in mind which is not listed below, you are free to fork the project, add it yourself and then create a pull request to add it to the main project, that would be great.

- Mediaplayer notification displayed while a song is being played
- Credits and settings button on the main menu
- Feature to return to the player if you exit from the app
- Shuffle mode and ability to create playlists
- Repeat mode, the ability to repeat whole playlists or songs
- Google Assistant support to play songs with a simple voice command

## Contributing
If you like the project and would like to contribute, here are some suggestions to what to do first:
- Fork the project to your own GitHub account
-Make your changes, do whatever you want, staying inside the LICENSE rules
- If you have made something interesting and want it to get merged
- Create a pull request
- Wait for approval
- If we like the changes, we will merge 

Some tips to work on help on this project

- Download the latest release and make yourself an idea of how the app works in general
- If you know the English language well, you might want to look at the .md files and correct any mistakes (English is not my native language, but I try my best to make it understandable for everyone)
- If you are a translator... Please have some patience, we are currently in the process of implementing localization
- Look at the .java files, maybe you can make some stuff more efficient or easy
- Look in the projects tab on Github, I always write there on what is currently being worked one, what still needs to be done and what has been implemented already
- Look at others issues and pull requests, you might see that someone is already working on your suggestion, or that there is an issue you know how to fix

Finally you can just fork the project and work freely on your project.

## Contact
If you are unsure of something, have special suggestions or just want to contact me in general, you can do so by writing me on any of the following socials:
- Twitter: [Benben377](https://twitter.com/Benben377)
- Instagram: [Benji](https://www.instagram.com/benji_the_one/)
- Youtube: [Benben377](https://www.youtube.com/channel/UCgkbKNjZCFy9EiToD5MK4O)

For feedback or not so important stuff, there is a discussions tab on Github you can write in.

### Additional notes
- Please be aware that in this text I often speak of myself, but I am not the only one working on this project, I am just the one who started it and is maintaining the Github repository.
- This project is licensed and it's not allowed to publish the project as if you made it
